[arch-commits] Commit in smbclient/trunk (PKGBUILD heimdal.patch)

Tobias Powalowski tpowa at archlinux.org
Sun Sep 28 14:50:38 UTC 2008


    Date: Sunday, September 28, 2008 @ 10:50:37
  Author: tpowa
Revision: 13776

upgpkg: smbclient 3.2.4-1

Modified:
  smbclient/trunk/PKGBUILD
Deleted:
  smbclient/trunk/heimdal.patch

---------------+
 PKGBUILD      |   44 +++++++++++++++++++-------------------------
 heimdal.patch |   33 ---------------------------------
 2 files changed, 19 insertions(+), 58 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-28 14:50:12 UTC (rev 13775)
+++ PKGBUILD	2008-09-28 14:50:37 UTC (rev 13776)
@@ -1,52 +1,46 @@
 # $Id$
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=smbclient
-pkgver=3.0.31
+pkgver=3.2.4
 # We use the 'A' to fake out pacman's version comparators.  Samba chooses
 # to append 'a','b',etc to their subsequent releases, which pamcan
 # misconstrues as alpha, beta, etc.  Bad samba!
-_realver=3.0.31
-pkgrel=2
+_realver=3.2.4
+pkgrel=1
 pkgdesc="Tools to access a server's filespace and printers via SMB"
 arch=(i686 x86_64)
 url="http://www.samba.org"
-license=('GPL')
-options=(!makeflags)
+license=('GPL3')
 depends=('popt' 'libldap' 'libcap' 'heimdal>=1.2-1' 'db>=4.7')
 source=(http://us1.samba.org/samba/ftp/samba-${_realver}.tar.gz)
+options=(!makeflags)
 
 build() {
   cd ${startdir}/src/samba-${_realver}/source
 
-  ./configure --prefix=/usr --with-smbmount --with-fhs --with-pam \
+  ./configure --prefix=/usr --with-cifsmount --with-fhs --with-pam \
               --with-datadir=/usr/share --with-configdir=/etc/samba \
               --with-lockdir=/var/run/samba --with-ads --with-acl-support \
-	      --localstatedir=/var
+	      --localstatedir=/var --disable-dnssd
   make proto bin/smbclient libsmbclient \
        bin/rpcclient bin/smbspool bin/smbtree \
-       bin/smbcacls bin/smbcquotas bin/smbmount bin/smbmnt bin/smbget \
-       bin/smbumount bin/net bin/nmblookup || return 1
-  mkdir -p ${startdir}/pkg/usr/bin ${startdir}/pkg/sbin
-  install -m755 bin/* ${startdir}/pkg/usr/bin/
+       bin/smbcacls bin/smbcquotas bin/smbget \
+       bin/net bin/nmblookup bin/mount.cifs bin/umount.cifs || return 1
+  mkdir -p ${startdir}/pkg/usr/bin ${startdir}/pkg/sbin ${startdir}/pkg/usr/lib/samba
+  install -m755 bin/{smbclient,rpcclient,smbspool,smbtree,smbcacls,smbcquotas,smbget,net,nmblookup} ${startdir}/pkg/usr/bin/
+  install -m755 bin/{mount.cifs,umount.cifs} ${startdir}/pkg/sbin/
+  mv  bin/*.so* ${startdir}/pkg/usr/lib/samba/
   install -m755 script/smbtar ${startdir}/pkg/usr/bin/
-  ln -sf /usr/bin/smbmount ${startdir}/pkg/sbin/mount.smbfs
-  ln -sf /usr/bin/smbumount ${startdir}/pkg/sbin/umount.smbfs
   mkdir -p ${startdir}/pkg/usr/lib/cups/backend
   ln -sf /usr/bin/smbspool ${startdir}/pkg/usr/lib/cups/backend/smb
-
-  mkdir -p ${startdir}/pkg/usr/lib/samba
-  mv ${startdir}/pkg/usr/bin/libsmbclient.* ${startdir}/pkg/usr/lib/samba/
-  ln -sf samba/libsmbclient.so ${startdir}/pkg/usr/lib/libsmbclient.so
-  ln -sf samba/libsmbclient.so ${startdir}/pkg/usr/lib/libsmbclient.so.0
+  for i in ${startdir}/pkg/usr/lib/samba/*; do
+	ln -sf samba/$(basename $i) ${startdir}/pkg/usr/lib/$(basename $i)
+  done
   mkdir -p ${startdir}/pkg/usr/include
   install -m644 include/libsmbclient.h ${startdir}/pkg/usr/include/
-
-  gcc -Wall -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o ${startdir}/pkg/sbin/mount.cifs client/mount.cifs.c
-  gcc -Wall -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o ${startdir}/pkg/sbin/umount.cifs client/umount.cifs.c
-
   mkdir -p ${startdir}/pkg/usr/share/man/man{1,7,8}
-  for man in smbmnt smbmount smbspool \
-      smbumount umount.cifs mount.cifs net; do
+  for man in smbspool \
+      umount.cifs mount.cifs net; do
     install -m644 ../docs/manpages/${man}.8 ${startdir}/pkg/usr/share/man/man8/
   done
   for man in rpcclient smbcacls smbclient smbcquotas smbget \
@@ -55,4 +49,4 @@
   done
   install -m644 ../docs/manpages/libsmbclient.7 ${startdir}/pkg/usr/share/man/man7/
 }
-md5sums=('165abaf4522c70031d9a76fbb638ca06')
+md5sums=('7870a6bb3a025c6081cd56688acd494a')

Deleted: heimdal.patch
===================================================================
--- heimdal.patch	2008-09-28 14:50:12 UTC (rev 13775)
+++ heimdal.patch	2008-09-28 14:50:37 UTC (rev 13776)
@@ -1,33 +0,0 @@
-Submitted By:            Randy McMurchy <randy_at_linuxfromscratch_dot_org>
-Date:                    2005-09-21
-Initial Package Version: 3.0.20
-Upstream Status:         Not submitted (it is not an upstream Samba issue)
-Origin:                  Randy McMurchy
-Description:             Fixes an issue if you have Heimdal installed as
-                         Heimdal uses reserved C++ words and the Samba headers
-                         now look for these conflicts. This patch comments out
-                         the check for C++ reserved words. Heimdal is aware of
-                         the issue
-
-$LastChangedBy: randy $
-$Date: 2005/11/17 12:32:28 $
-
-
---- samba-3.0.20-orig/source/include/includes.h	2005-07-28 13:19:49.000000000 +0000
-+++ samba-3.0.20/source/include/includes.h	2005-09-04 13:45:01.000000000 +0000
-@@ -25,6 +25,7 @@
- #include "config.h"
- #endif
- 
-+/*
- #ifndef __cplusplus
- #define class #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
- #define private #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
-@@ -36,6 +37,7 @@
- #define delete #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
- #define friend #error DONT_USE_CPLUSPLUS_RESERVED_NAMES
- #endif
-+*/
- 
- #include "local.h"
- 




More information about the arch-commits mailing list